Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class FatalUserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOFatalException
                                    |
                                    +--javax.jdo.JDOFatalUserException
                                          |
                                          +--com.solarmetric.kodo.runtime.FatalUserException

All Implemented Interfaces:
  Serializable

public class FatalUserException
extends JDOFatalUserException
implements Serializable

Serializable extensions of the `JDOFatalUserException`.

See Also:
  Serialized Form

Fields inherited from class javax.jdo.JDOException
`failed, nested`

Constructor Summary
`FatalUserException()`
`FatalUserException(String msg)`
`FatalUserException(String msg, Object failed)`
`FatalUserException(String msg, Throwable nested)`
`FatalUserException(String msg, Throwable[] nested)`
`FatalUserException(String msg, Throwable[] nested, Object failed)`
`FatalUserException(String msg, Throwable nested, Object failed)`

Method Summary
`Object` | `writeReplace()` If the failed object in this exception cannot be serialized, it will be replaced with the Object ID of the object, or the stringified form of the object if it is not persistent.

Methods inherited from class javax.jdo.JDOException
`, getFailedObject, getNestedExceptions, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FatalUserException

    public FatalUserException()

### FatalUserException

    public FatalUserException(String msg)

### FatalUserException

    public FatalUserException(String msg,
                              Object failed)

### FatalUserException

    public FatalUserException(String msg,
                              Throwable nested)

### FatalUserException

    public FatalUserException(String msg,
                              Throwable[] nested)

### FatalUserException

    public FatalUserException(String msg,
                              Throwable nested,
                              Object failed)

### FatalUserException

    public FatalUserException(String msg,
                              Throwable[] nested,
                              Object failed)

Method Detail

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  If the failed object in this exception cannot be serialized, it will be replaced with the Object ID of the object, or the stringified form of the object if it is not persistent.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.